View Issue Details

IDProjectCategoryView StatusLast Update
0000668Main CAcert WebsiteGPG/PGPpublic2013-01-15 08:05
Reporterph3 Assigned ToSourcerer  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformMain CAcert WebsiteOSN/A 
Fixed in Version2009 Q2 
Summary0000668: Confusing Output on key with a single UID
DescriptionI added a key I removed already signed UIDs and uploaded it for singing. There is a empty non existing UID shown on the website. See the attached screen shot.

The empty email address is reported because of bug 0000517
Steps To Reproduce(As I have not tried I don't know if this will work. This is mainly a discription of what I did.)

Delete all but one UID from a OpenPGP key with multible UIDs including the primary UID. Don't set a new primary UID. Upload the key.
Additional InformationThe OpenPGP Key I used:

-----BEGIN PGP PUBLIC KEY BLOCK-----
Comment: Because it's your freedom
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=zpGb
-----END PGP PUBLIC KEY BLOCK-----
TagsNo tags attached.
Reviewed by
Test Instructions

Activities

2009-01-03 20:42

 

ss.ph7-new.X33.croped.png (24,694 bytes)   
ss.ph7-new.X33.croped.png (24,694 bytes)   

Sourcerer

2009-04-09 13:42

administrator   ~0001352

The error message has been changed to: "The format of the UID was not recognized. Please use 'Name (comment) <email@domain>' "

Issue History

Date Modified Username Field Change
2009-01-03 20:42 ph3 New Issue
2009-01-03 20:42 ph3 File Added: ss.ph7-new.X33.croped.png
2009-04-09 13:42 Sourcerer Note Added: 0001352
2009-04-09 13:42 Sourcerer Status new => solved?
2009-04-22 17:04 Sourcerer Status solved? => needs feedback
2009-04-26 22:06 Sourcerer Status needs feedback => closed
2009-04-26 22:06 Sourcerer Resolution open => fixed
2009-04-26 22:06 Sourcerer Assigned To => Sourcerer
2013-01-15 08:05 Werner Dworak Fixed in Version => 2009 Q2